Bug 169856 - [MAINTAINER] net/py-beanstalkc: Move to OptionsNG
Summary: [MAINTAINER] net/py-beanstalkc: Move to OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-14 16:20 UTC by koobs
Modified: 2012-07-22 13:00 UTC (History)
0 users

See Also:


Attachments
py27-beanstalkc-0.2.0.patch (2.06 KB, patch)
2012-07-14 16:20 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-07-14 16:20:03 UTC
- OptionsNG'ify
- Add zip_safe=False to setup.py and add a pkg-plist

Added file(s):
- files/patch-setup.py
- pkg-plist

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-07-14 16:20:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Nicola Vitale freebsd_committer 2012-07-21 17:02:39 UTC
Responsible Changed
From-To: freebsd-python->nivit

I will take it.
Comment 3 dfilter service freebsd_committer 2012-07-22 12:57:48 UTC
Author: nivit
Date: Sun Jul 22 11:57:35 2012
New Revision: 301322
URL: http://svn.freebsd.org/changeset/ports/301322

Log:
  - Convert to the new options framework
  - Add zip_safe=False to setup() (with files/patch-setup.py)
  - Add pkg-plist
  
  Buildlog@redports:	http://goo.gl/X3Ah4
  
  PR:		ports/169856
  Submitted by:	Kubilay Kocak <koobs.freebsd at gmail.com> (maintainer)

Added:
  head/net/py-beanstalkc/files/
  head/net/py-beanstalkc/files/patch-setup.py   (contents, props changed)
  head/net/py-beanstalkc/pkg-plist   (contents, props changed)
Modified:
  head/net/py-beanstalkc/Makefile   (contents, props changed)

Modified: head/net/py-beanstalkc/Makefile
==============================================================================
--- head/net/py-beanstalkc/Makefile	Sun Jul 22 11:54:40 2012	(r301321)
+++ head/net/py-beanstalkc/Makefile	Sun Jul 22 11:57:35 2012	(r301322)
@@ -19,16 +19,16 @@ LICENSE=	AL2
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
 
-OPTIONS=	PYYAML	"YAML support"	on
+OPTIONS_DEFINE=	YAML
+OPTIONS_DEFAULT=	YAML
+YAML_DESC=	Support parsing YAML reponses
 
 # bypass infrastructure bug
 OPTIONSFILE=	${PORT_DBDIR}/py-${PORTNAME}/options
 
-PLIST_FILES=	%%PYTHON_SITELIBDIR%%/${PYEASYINSTALL_EGG}
-
 .include <bsd.port.options.mk>
 
-.if defined(WITH_PYYAML)
+.if ${PORT_OPTIONS:MYAML}
 RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}yaml>0:${PORTSDIR}/devel/py-yaml
 .endif
 

Added: head/net/py-beanstalkc/files/patch-setup.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/py-beanstalkc/files/patch-setup.py	Sun Jul 22 11:57:35 2012	(r301322)
@@ -0,0 +1,8 @@
+--- ./setup.py.orig	2012-07-15 01:01:36.000000000 +1000
++++ ./setup.py	2012-07-15 01:01:49.000000000 +1000
+@@ -30,4 +30,5 @@
+         'Programming Language :: Python',
+         'Topic :: Software Development :: Libraries :: Python Modules',
+     ],
++    zip_safe=False,
+ )

Added: head/net/py-beanstalkc/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/py-beanstalkc/pkg-plist	Sun Jul 22 11:57:35 2012	(r301322)
@@ -0,0 +1,10 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/beanstalkc.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/beanstalkc.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/beanstalkc.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Nicola Vitale freebsd_committer 2012-07-22 12:57:58 UTC
State Changed
From-To: open->closed

Committed, thanks!